Bug 1452206 - Constant short buffer/very short watch error messages for ClusterRoleBinding, ClusterRole and Role
Summary: Constant short buffer/very short watch error messages for ClusterRoleBinding,...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.6.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.7.0
Assignee: David Eads
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-18 14:37 UTC by Mike Fiedler
Modified: 2017-11-28 21:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 21:55:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Master log (276.49 KB, application/x-gzip)
2017-05-18 14:37 UTC, Mike Fiedler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Mike Fiedler 2017-05-18 14:37:50 UTC
Created attachment 1280046 [details]
Master log

Description of problem:  


May 18 10:23:21 ip-172-31-41-8 atomic-openshift-master: W0518 10:23:21.972019    9701 reflector.go:323] github.com/openshift/origin/pkg/authorization/generated/informers/internalversion/factory.go:45: watch of *api.ClusterRoleBinding ended with: very short watch
May 18 10:23:21 ip-172-31-41-8 atomic-openshift-master: E0518 10:23:21.993961    9701 streamwatcher.go:109] Unable to decode an event from the watch stream: got short buffer with n=0, base=488, cap=2560
May 18 10:23:21 ip-172-31-41-8 atomic-openshift-master: W0518 10:23:21.993986    9701 reflector.go:323] github.com/openshift/origin/pkg/authorization/generated/informers/internalversion/factory.go:45: watch of *api.Role ended with: very short watch
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: E0518 10:23:22.608983    9701 streamwatcher.go:109] Unable to decode an event from the watch stream: got short buffer with n=0, base=52638, cap=163840
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: W0518 10:23:22.609017    9701 reflector.go:323] github.com/openshift/origin/pkg/authorization/generated/informers/internalversion/factory.go:45: watch of *api.ClusterRole ended with: very short watch
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: E0518 10:23:22.694184    9701 streamwatcher.go:109] Unable to decode an event from the watch stream: got short buffer with n=0, base=5794, cap=16640
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: W0518 10:23:22.694221    9701 reflector.go:323] github.com/openshift/origin/pkg/authorization/generated/informers/internalversion/factory.go:45: watch of *api.RoleBinding ended with: very short watch
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: E0518 10:23:22.978898    9701 streamwatcher.go:109] Unable to decode an event from the watch stream: got short buffer with n=0, base=29172, cap=81920
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: W0518 10:23:22.978926    9701 reflector.go:323] github.com/openshift/origin/pkg/authorization/generated/informers/internalversion/factory.go:45: watch of *api.ClusterRoleBinding ended with: very short watch
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: E0518 10:23:22.996846    9701 streamwatcher.go:109] Unable to decode an event from the watch stream: got short buffer with n=0, base=488, cap=2560
May 18 10:23:22 ip-172-31-41-8 atomic-openshift-master: W0518 10:23:22.996877    9701 reflector.go:323] github.com/openshift/origin/pkg/authorization/generated/informers/internalversion/factory.go:45: watch of *api.Role ended with: very short watch
May 18 10:23:23 ip-172-31-41-8 atomic-openshift-master: I0518 10:23:23.124625    9701 rest.go:320] Starting watch for /oapi/v1/egressnetworkpolicies, rv=6 labels= fields= timeout=6m35s
May 18 10:23:23 ip-172-31-41-8 atomic-openshift-master: E0518 10:23:23.623052    9701 streamwatcher.go:109] Unable to decode an event from the watch stream: got short buffer with n=0, base=52638, cap=163840



Version-Release number of selected component (if applicable): 3.6.75


How reproducible: Always


Steps to Reproduce:
1.  Install a 3.6.75 cluster with 1 master + etcd (separate processes), 2 infra and 3 compute nodes on AWS
2.  Look in /var/log/messages after successful install


Actual results:

Error and Warning messages as shown above

Expected results:

No constant Error messages

Additional info:

Full master logs attached

Comment 1 Jordan Liggitt 2017-05-18 18:55:48 UTC
Role, ClusterRole, RoleBinding, and ClusterRoleBinding objects do not support watch. They should be returning a 405 method not allowed error instead.

Comment 2 Jordan Liggitt 2017-05-19 19:46:16 UTC
The correct error will be returned by https://github.com/openshift/origin/pull/14260

A separate fix is required to stop the controller that is trying to watch those resources.

Comment 3 David Eads 2017-05-22 12:50:55 UTC
https://github.com/openshift/origin/pull/14194 fixes the controller.

Comment 4 Michal Fojtik 2017-05-25 10:47:38 UTC
Both merged, ON_QA?

Comment 5 David Eads 2017-05-25 12:46:49 UTC
Yes

Comment 6 Mike Fiedler 2017-05-25 12:56:37 UTC
Verified on 3.6.79.  Master logs are clean.

Comment 10 errata-xmlrpc 2017-11-28 21:55:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.